Bug 1466020 - Package conflict between hfsplusutils and hfsplus-tools
Package conflict between hfsplusutils and hfsplus-tools
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hfsplus-tools (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 13:50 EDT by Joe Thompson
Modified: 2018-05-29 08:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:57:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Thompson 2017-06-28 13:50:10 EDT
Description of problem: Can't install hfsplusutils on an F25 system that already has hfsplus-tools installed


Version-Release number of selected component (if applicable): 540.1.linux3-11.fc24


How reproducible: 100%


Steps to Reproduce:
1. Install Fedora with hfsplus-tools
2. sudo dnf install hfsplusutils

Actual results:

$ sudo dnf install hfsplusutils
Last metadata expiration check: 0:59:18 ago on Wed Jun 28 12:31:44 2017.
Error: package hfsplus-tools-540.1.linux3-11.fc24.x86_64 conflicts with hfsplusutils provided by hfsplusutils-1.0.4-24.fc24.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages)


Expected results: hfsplusutils should install alongside or replace hfsplus-tools, as appropriate.


Additional info: Appears to be a manifestation of BZ#1350081 that persisted in F25 because these two packages are still the F24 versions.
Comment 1 Joe Thompson 2017-07-13 13:20:12 EDT
Still a problem on F26.
Comment 2 Fedora End Of Life 2018-05-03 04:42:37 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 08:57:52 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.